DeviceUpdateClient Class
Device Update for IoT Hub is an Azure service that enables customers to publish update for their IoT devices to the cloud, and then deploy that update to their devices (approve updates to groups of devices managed and provisioned in IoT Hub). It leverages the proven security and reliability of the Windows Update platform, optimized for IoT devices. It works globally and knows when and how to update devices, enabling customers to focus on their business goals and let Device Update for IoT Hub handle the updates.
- Inheritance
-
builtins.objectDeviceUpdateClient
Constructor
DeviceUpdateClient(endpoint: str, instance_id: str, credential: TokenCredential, **kwargs: Any)
Parameters
- api_version
- str
Api Version. Default value is "2022-07-01-preview". Note that overriding this default value may result in unsupported behavior.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Variables
- device_update
- DeviceUpdateOperations
DeviceUpdateOperations operations
- device_management
- DeviceManagementOperations
DeviceManagementOperations operations
Methods
| close | |
| send_request |
Runs the network request through the client's chained policies.
For more information on this code flow, see https://aka.ms/azsdk/dpcodegen/python/send_request |
close
close() -> None
send_request
Runs the network request through the client's chained policies.
>>> from azure.core.rest import HttpRequest
>>> request = HttpRequest("GET", "https://www.example.org/")
<HttpRequest [GET], url: 'https://www.example.org/'>
>>> response = client.send_request(request)
<HttpResponse: 200 OK>
For more information on this code flow, see https://aka.ms/azsdk/dpcodegen/python/send_request
send_request(request: azure.core.rest._rest_py3.HttpRequest, **kwargs: Any) -> azure.core.rest._rest_py3.HttpResponse
Parameters
- stream
- bool
Whether the response payload will be streamed. Defaults to False.
Returns
The response of your network call. Does not do error handling on your response.
Return type
Feedback
Submit and view feedback for